This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 838364 - [abrt] yumex-3.0.4-1.fc16: expat.py:4:<module>:ImportError: /usr/lib/python2.7/site-packages/_xmlplus/parsers/pyexpat.so: undefined symbol: XML_SetHashSalt
[abrt] yumex-3.0.4-1.fc16: expat.py:4:<module>:ImportError: /usr/lib/python2....
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
abrt_hash:672d42098b4bd828336aa5b2a02...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 16:44 EDT by Bernie Clarke
Modified: 2012-07-18 08:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 01:13:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.68 KB, text/plain)
2012-07-08 16:44 EDT, Bernie Clarke
no flags Details

  None (edit)
Description Bernie Clarke 2012-07-08 16:44:13 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/share/yumex/yumex.pyc
executable:     /usr/share/yumex/yumex.pyc
kernel:         3.3.7-1.fc16.i686
reason:         expat.py:4:<module>:ImportError: /usr/lib/python2.7/site-packages/_xmlplus/parsers/pyexpat.so: undefined symbol: XML_SetHashSalt
time:           Sun 08 Jul 2012 04:34:40 PM EDT
uid:            1000
username:       bernie

backtrace:      Text file, 7866 bytes

smolt_data:
:
:
:General
:=================================
:UUID: 6cd6b7ae-0720-437e-9c5e-bef764cebac0
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3200.11
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Celeron(R) M CPU        520  @ 1.60GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 1
:CPU Speed: 1599
:System Memory: 2008
:System Swap: 5055
:Vendor: Acer, inc.
:System: Aspire 3680 Not Applicable
:Form factor: Other
:Kernel: 3.3.7-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10169:4133:272) pci, None, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(4523:17234:4133:272) pci, sky2, ETHERNET, 88E8038 PCI-E Fast Ethernet Controller
:(32902:10146:4133:272) pci, i915, VIDEO, Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller
:(32902:10150:4133:272) pci, None, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
:(32902:10192:4133:272) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4133:272) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(4172:32825:4133:272) pci, yenta_cardbus, PCI/CARDBUS, PCIxx12 Cardbus Controller
:(4172:32827:4133:272) pci, tifm_7xx1, STORAGE, 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
:(32902:10200:4133:272) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10196:4133:272) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:4133:272) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:4133:272) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5772:26:5224:1048) pci, ath5k, ETHERNET, AR2413 802.11bg NIC
:(32902:10180:4133:272) pci, ata_piix, STORAGE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller
:(32902:10185:4133:272) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4133:272) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10144:4133:272) pci, agpgart-intel, HOST/PCI, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub
:(32902:10186:4133:272) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4133:272) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4133:272) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13092026 4793700 4662668 3276800 2588769 2588769
:/dev/sda1 /boot ext4 1024 1024 508745 411771 386171 128016 127781 127781
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 107443393 98023783 92645735 26894336 26619891 26619891
:
Comment 1 Bernie Clarke 2012-07-08 16:44:15 EDT
Created attachment 596919 [details]
File: backtrace
Comment 2 Tim Lauridsen 2012-07-09 07:09:53 EDT
Look like some lowlevel python blowing up, can you reproduce the error
Comment 3 Bernie Clarke 2012-07-11 18:50:00 EDT
Yes.
(using Cinammon interface), click Menu->System Tools ->Yum Extender
The fault occurs consistently.
Comment 4 Tim Lauridsen 2012-07-12 02:41:44 EDT
please try to to run this from a terminal

python -c "import dbus; print dbus.__version__"

to see if this is a general issue or just with yumex
Comment 5 Tim Lauridsen 2012-07-12 02:51:50 EDT
and this one

yum list expat python

to see the version of python and expat installed

It could be releated to older version of expat

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=665346
Comment 6 Bernie Clarke 2012-07-12 18:48:11 EDT
bernie : python -c "import dbus; print dbus.__version__"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/dbus/__init__.py", line 100, in <module>
    from dbus._dbus import Bus, SystemBus, SessionBus, StarterBus
  File "/usr/lib/python2.7/site-packages/dbus/_dbus.py", line 46, in <module>
    from dbus.bus import BusConnection
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 46, in <module>
    from dbus.connection import Connection
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 42, in <module>
    from dbus.proxies import ProxyObject
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 35, in <module>
    from dbus._expat_introspect_parser import process_introspection_data
  File "/usr/lib/python2.7/site-packages/dbus/_expat_introspect_parser.py", line 26, in <module>
    from xml.parsers.expat import ExpatError, ParserCreate
  File "/usr/lib/python2.7/site-packages/_xmlplus/parsers/expat.py", line 4, in <module>
    from pyexpat import *
ImportError: /usr/lib/python2.7/site-packages/_xmlplus/parsers/pyexpat.so: undefined symbol: XML_SetHashSalt
Comment 7 Bernie Clarke 2012-07-12 18:49:13 EDT
bernie : yum list expat python
Plugin "langpacks" can't be imported
Plugin "refresh-packagekit" can't be imported
Loaded plugins: presto
adobe-linux-i386                                         |  951 B     00:00     
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 146, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 546, in doCommand
    ypl = base.returnPkgLists(extcmds, installed_available=highlight)
  File "/usr/share/yum-cli/cli.py", line 1213, in returnPkgLists
    ignore_case=True)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2595, in doPackageLists
    avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1003, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 294, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 167, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 225, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1272, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1466, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1462, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1453, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1428, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1243, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1021, in _getFileRepoXML
    size=102400) # setting max size as 100K
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 843, in _getFile
    size=size
  File "/usr/lib/python2.7/site-packages/urlgrabber/mirror.py", line 409, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.7/site-packages/urlgrabber/mirror.py", line 395, in _mirror_try
    return func_ref( *(fullurl,), **kwargs )
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1017, in urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 918, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1012, in retryfunc
    apply(cb_func, (obj, )+cb_args, cb_kwargs)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1505, in _checkRepoXML
    repoXML = repoMDObject.RepoMD(self.id, filepath)
  File "/usr/lib/python2.7/site-packages/yum/repoMDObject.py", line 124, in __init__
    self.parse(srcfile)
  File "/usr/lib/python2.7/site-packages/yum/repoMDObject.py", line 140, in parse
    parser = iterparse(infile)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1188, in cElementTree_iterparse
    return __cached_cElementTree.iterparse(filename)
  File "<string>", line 78, in __init__
RuntimeError: cannot load dispatch table from pyexpat
bernie :
Comment 8 Bernie Clarke 2012-07-12 19:16:59 EDT
Tried updating to libexpat1-2.1.0-1.3.i586.rpm.
Same problem.
Comment 9 Tim Lauridsen 2012-07-14 11:40:57 EDT
try to reinstall expat, It seams like something is totally broken in your python xml support.
Comment 10 Bernie Clarke 2012-07-14 15:54:06 EDT
[root@localhost Downloads]# ls expat*
expat-2.0.1-11.fc15.i686.rpm  expat-2.1.0-1.fc16.i686.rpm
[root@localhost Downloads]# rpm -ivh expat-2.1.0-1.fc16.i686.rpm
Preparing...                ########################################### [100%]
	package expat-2.1.0-1.fc16.i686 is already installed
[root@localhost Downloads]# rpm -ivh --force expat-2.1.0-1.fc16.i686.rpm
Preparing...                ########################################### [100%]
   1:expat                  ########################################### [100%]
[root@localhost Downloads]# rpm -qa |grep -i expat
expat-2.1.0-1.fc16.i686
[root@localhost Downloads]# 


Still no joy. yumex won't even start now. is there. or can I turn on a log for yumex?
Comment 11 Tim Lauridsen 2012-07-15 01:36:42 EDT
try:

rpm -Uvh --force expat-2.1.0-1.fc16.i686.rpm
Comment 12 Bernie Clarke 2012-07-15 11:55:52 EDT
Sorry. No joy. another crash.
Do you want me to submit the crash report?
Comment 13 Tim Lauridsen 2012-07-17 00:52:37 EDT
no need for another crash report

what does this show ?

rpm -qa | grep expat
Comment 14 Tim Lauridsen 2012-07-17 01:03:16 EDT
Look like this is cause by a wrong version of the expat system lib is picked up

https://bugzilla.redhat.com/show_bug.cgi?id=821337

what does this show ?

ldd /usr/lib64/python2.7/lib-dynload/pyexpat.so
Comment 15 Bernie Clarke 2012-07-17 18:20:45 EDT
bernie : rpm -qa | grep expat
expat-2.1.0-1.fc16.i686
bernie :
Comment 16 Bernie Clarke 2012-07-17 18:23:15 EDT
Note this is from /usr/lib NOT /usr/lib64

[root@localhost bernie]# ldd /usr/lib/python2.7/lib-dynload/pyexpat.so
	linux-gate.so.1 =>  (0x002d8000)
	libexpat.so.1 => /usr/local/lib/libexpat.so.1 (0x0024c000)
	libpython2.7.so.1.0 => /usr/lib/libpython2.7.so.1.0 (0x002d9000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x008cb000)
	libc.so.6 => /lib/libc.so.6 (0x00470000)
	libdl.so.2 => /lib/libdl.so.2 (0x00ccf000)
	libutil.so.1 => /lib/libutil.so.1 (0x00d23000)
	libm.so.6 => /lib/libm.so.6 (0x0082e000)
	/lib/ld-linux.so.2 (0x4ec9d000)
[root@localhost bernie]#
Comment 17 Tim Lauridsen 2012-07-18 01:13:31 EDT
This is the issue

libexpat.so.1 => /usr/local/lib/libexpat.so.1 (0x0024c000)

it should have been

libexpat.so.1 => /lib/libexpat.so.1 ...

look like you have installed something from source there has installed a libexpat.so.1 in /usr/local/lib/
Comment 18 Bernie Clarke 2012-07-18 08:33:10 EDT
Thanks for the help.
I'll put /usr/local/lib in the loader path.

Note You need to log in before you can comment on or make changes to this bug.